diff options
author | shuai chen <chenshuai@huawei.com> | 2016-08-19 08:03:05 +0000 |
---|---|---|
committer | Gerrit Code Review <gerrit@172.30.200.206> | 2016-08-19 08:03:06 +0000 |
commit | dfa5128cfb407eaf4d1fe93404d3b423e26d8c8b (patch) | |
tree | da5ab8fcab40ae077fb9ca2cc01aea7b77effb33 /deploy/launch.sh | |
parent | d74aefc2d04b69a8a0a74af3f4e3114020ca748e (diff) | |
parent | 00214a8cf06840cf5be6427d3c8d0ba84a7a1069 (diff) |
Merge "Revert "Prepare the jump host offline""
Diffstat (limited to 'deploy/launch.sh')
-rwxr-xr-x | deploy/launch.sh | 16 |
1 files changed, 6 insertions, 10 deletions
diff --git a/deploy/launch.sh b/deploy/launch.sh index 2c272c79..488e0fd7 100755 --- a/deploy/launch.sh +++ b/deploy/launch.sh @@ -15,6 +15,7 @@ mkdir -p $WORK_DIR/script export DEPLOY_FIRST_TIME=${DEPLOY_FIRST_TIME-"true"} source ${COMPASS_DIR}/deploy/prepare.sh +prepare_python_env source ${COMPASS_DIR}/util/log.sh source ${COMPASS_DIR}/deploy/deploy_parameter.sh source $(process_input_para $*) || exit 1 @@ -29,16 +30,6 @@ source ${COMPASS_DIR}/deploy/compass_vm.sh source ${COMPASS_DIR}/deploy/deploy_host.sh ######################### main process -download_iso -pre_prepare -prepare_env -if [[ "$DEPLOY_COMPASS" == "true" ]]; then - if ! prepare_python_env;then - echo "prepare_python_env failed" - exit 1 - fi -fi - print_logo if [[ ! -z $VIRT_NUMBER ]];then @@ -55,6 +46,11 @@ fi export machines if [[ "$DEPLOY_COMPASS" == "true" ]]; then + if ! prepare_env;then + echo "prepare_env failed" + exit 1 + fi + log_info "########## set up network begin #############" if ! create_nets;then log_error "create_nets failed" |